Arch 3Views/ro: Difference between revisions

From FreeCAD Documentation
(Created page with "==Descriere==")
(Updating to match new version of source page)
 
(27 intermediate revisions by 6 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{Template:UnfinishedDocu}}
{{GuiCommand|Name=Arch 3Views|Workbenches=[[Arch Module|Arch]]|MenuLocation=Arch → Utilities → 3 Views from mesh|Shortcut=|SeeAlso=}}


<div class="mw-translate-fuzzy">
{{Docnav/ro
|[[Arch_ToggleIfcBrepFlag|Toggle IFC Brep flag]]
|[[Arch_IfcSpreadsheet|Create IFC spreadsheet...]]
|[[Arch_Workbench|Arch]]
|IconL=Arch_ToggleIfcBrepFlag.svg |IconC=Workbench_Arch.svg |IconR=Arch_Schedule.svg
}}
</div>

<div class="mw-translate-fuzzy">
{{GuiCommand/ro
|Name=Arch 3Views|Name/ro=Arch 3Views
|MenuLocation=Arch → Utilities → 3 Views from mesh
|Workbenches=[[Arch_Workbench/ro|Arch]]
|SeeAlso=[[Arch SplitMesh]], [[Arch MeshToShape]]
}}
</div>

<span id="Description"></span>
==Descriere==
==Descriere==


<div class="mw-translate-fuzzy">
'''This command is currently not in use'''. It will serve to generate flat, shape-based views from a [[Mesh Module|Mesh]] based object, to be used by the [[Arch Equipment]] tool.
'''Această comandă nu este în prezent utilizată '''. Acesta va servi la generarea de vizualizări plane, bazate pe forme dintr-un obiect [[Mesh Workbench|Mesh]], care va fi utilizat de instrumentul [[Arch Equipment]]
</div>

<span id="Usage"></span>
== Cum se folosește ==

<div class="mw-translate-fuzzy">
# Selectați un obeict tip Plasă/Mesh
# Selectași meniul Arch → Utilities → {{KEY|[[Image:Arch 3Views.png|16px]] [[Arch 3Views|3Views]]}}
</div>

== Scripting ==

{{Emphasis|See also:}} [[Arch_API|Arch API]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

This tool can be used in [[Macros|macros]] and from the [[Python|Python]] console by using the following function:
{{Code|code=
shape = createMeshView(obj, direction=FreeCAD.Vector(0, 0, -1), outeronly=False, largestonly=False)
}}
* Creates a flat {{incode|shape}} that is the projection of the given mesh object ({{incode|obj}}) in the given {{incode|direction}}.
* If {{incode|outeronly}} is {{incode|True}} only the outer contour is taken into consideration, discarding the inner holes.
* If {{incode|largestonly}} is {{incode|True}} only the largest segment of the given mesh will be used.

Use {{incode|Part.show()}} to display the resulting flat shape.

Example:
{{Code|code=
import FreeCAD, Draft, Arch, Mesh, MeshPart

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0), FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)
FreeCAD.ActiveDocument.recompute()

Shape = Wall.Shape.copy(False)
Shape.Placement = Wall.getGlobalPlacement()

mesh_obj = FreeCAD.ActiveDocument.addObject("Mesh::Feature", "Mesh")
mesh_obj.Mesh = MeshPart.meshFromShape(Shape=Shape, MaxLength=520)
mesh_obj.ViewObject.DisplayMode = "Flat Lines"
FreeCAD.ActiveDocument.recompute()

XAxis = FreeCAD.Vector(1, 0, 0)
YAxis = FreeCAD.Vector(0, 1, 0)
ZAxis = FreeCAD.Vector(0, 0, -1)

s1 = Arch.createMeshView(mesh_obj, ZAxis)
s2 = Arch.createMeshView(mesh_obj, XAxis)
s3 = Arch.createMeshView(mesh_obj, YAxis)

Part.show(s1)
Part.show(s2)
Part.show(s3)

Wall.ViewObject.Visibility = False
mesh_obj.ViewObject.Visibility = False
}}


==How to use==


<div class="mw-translate-fuzzy">
# Select a Mesh object
{{Docnav/ro
# Select menu Arch → Utilities → {{KEY|[[Image:Arch 3Views.png|16px]] [[Arch 3Views|3Views]]}}
|[[Arch_ToggleIfcBrepFlag|Toggle IFC Brep flag]]
|[[Arch_IfcSpreadsheet|Create IFC spreadsheet...]]
|[[Arch_Workbench|Arch]]
|IconL=Arch_ToggleIfcBrepFlag.svg |IconC=Workbench_Arch.svg |IconR=Arch_Schedule.svg
}}
</div>


{{Arch Tools navi{{#translation:}}}}
{{clear}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 11:58, 19 May 2023

Arch 3Views

poziția meniului
Arch → Utilities → 3 Views from mesh
Ateliere
Arch
scurtătură
nici unul
Prezentat în versiune
-
A se vedea, de asemenea,
Arch SplitMesh, Arch MeshToShape

Descriere

Această comandă nu este în prezent utilizată . Acesta va servi la generarea de vizualizări plane, bazate pe forme dintr-un obiect Mesh, care va fi utilizat de instrumentul Arch Equipment

Cum se folosește

  1. Selectați un obeict tip Plasă/Mesh
  2. Selectași meniul Arch → Utilities → 3Views

Scripting

See also: Arch API and FreeCAD Scripting Basics.

This tool can be used in macros and from the Python console by using the following function:

shape = createMeshView(obj, direction=FreeCAD.Vector(0, 0, -1), outeronly=False, largestonly=False)
  • Creates a flat shape that is the projection of the given mesh object (obj) in the given direction.
  • If outeronly is True only the outer contour is taken into consideration, discarding the inner holes.
  • If largestonly is True only the largest segment of the given mesh will be used.

Use Part.show() to display the resulting flat shape.

Example:

import FreeCAD, Draft, Arch, Mesh, MeshPart

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0), FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)
FreeCAD.ActiveDocument.recompute()

Shape = Wall.Shape.copy(False)
Shape.Placement = Wall.getGlobalPlacement()

mesh_obj = FreeCAD.ActiveDocument.addObject("Mesh::Feature", "Mesh")
mesh_obj.Mesh = MeshPart.meshFromShape(Shape=Shape, MaxLength=520)
mesh_obj.ViewObject.DisplayMode = "Flat Lines"
FreeCAD.ActiveDocument.recompute()

XAxis = FreeCAD.Vector(1, 0, 0)
YAxis = FreeCAD.Vector(0, 1, 0)
ZAxis = FreeCAD.Vector(0, 0, -1)

s1 = Arch.createMeshView(mesh_obj, ZAxis)
s2 = Arch.createMeshView(mesh_obj, XAxis)
s3 = Arch.createMeshView(mesh_obj, YAxis)

Part.show(s1)
Part.show(s2)
Part.show(s3)

Wall.ViewObject.Visibility = False
mesh_obj.ViewObject.Visibility = False